#include <iostream>
#include <string>

int main()
{
	std::cout
	<<"Your first name: ";

	std::string name;
	std::cin >> name;

  //Build the message to write :
	std::string msg = "Hello, " + name + "!";

	// build the frame
	const std::string spaces(msg.size(),' ');
	const std::string first(msg.size()+4,'*');


	//write
	std::cout << std::endl;
	std::cout << first << std::endl;
	std::cout << "* " + spaces + " *" << std::endl;
	std::cout << "* " + msg+ " *" << std::endl;
	std::cout << "* " + spaces + " *" << std::endl;
	std::cout << first << std::endl;
	


	return 0;
}
